## org.eclipse.ocl.cst
Interface CallExpCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS

All Known Subinterfaces:
  FeatureCallExpCS, IterateExpCS, IteratorExpCS, LoopExpCS, OperationCallExpCS

All Known Implementing Classes:
  CallExpCSImpl, FeatureCallExpCSImpl, IterateExpCSImpl, IteratorExpCSImpl, LoopExpCSImpl, OperationCallExpCSImpl

    public interface CallExpCS

extends OCLExpressionCS

A representation of the model object 'Call Exp CS'.

The following features are supported:

- `Source`
- `Accessor`
- `Simple Name CS`

See Also:
  `CSTPackage.getCallExpCS()`

Method Summary
`DotOrArrowEnum` `getAccessor()` Returns the value of the 'Accessor' attribute.
`SimpleNameCS` `getSimpleNameCS()` Returns the value of the 'Simple Name CS' containment reference
`OCLExpressionCS` `getSource()` Returns the value of the 'Source' containment reference
`void` `setAccessor(DotOrArrowEnum value)` Sets the value of the '`Accessor`' attribute
`void` `setSimpleNameCS(SimpleNameCS value)` Sets the value of the '`Simple Name CS`' containment reference
`void` `setSource(OCLExpressionCS value)` Sets the value of the '`Source`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSource

    OCLExpressionCS getSource()

  Returns the value of the 'Source' containment reference.

  If the meaning of the 'Source' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source' containment reference.
  See Also:
    `setSource(OCLExpressionCS)`, `CSTPackage.getCallExpCS_Source()`

### setSource

    void setSource(OCLExpressionCS value)

  Sets the value of the '`Source`' containment reference.

  Parameters:
    `value` - the new value of the 'Source' containment reference.
  See Also:
    `getSource()`

### getAccessor

    DotOrArrowEnum getAccessor()

  Returns the value of the 'Accessor' attribute. The literals are from the enumeration `DotOrArrowEnum`.

  If the meaning of the 'Accessor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accessor' attribute.
  See Also:
    `DotOrArrowEnum`, `setAccessor(DotOrArrowEnum)`, `CSTPackage.getCallExpCS_Accessor()`

### setAccessor

    void setAccessor(DotOrArrowEnum value)

  Sets the value of the '`Accessor`' attribute.

  Parameters:
    `value` - the new value of the 'Accessor' attribute.
  See Also:
    `DotOrArrowEnum`, `getAccessor()`

### getSimpleNameCS

    SimpleNameCS getSimpleNameCS()

  Returns the value of the 'Simple Name CS' containment reference.

  If the meaning of the 'Simple Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getCallExpCS_SimpleNameCS()`

### setSimpleNameCS

    void setSimpleNameCS(SimpleNameCS value)

  Sets the value of the '`Simple Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `getSimpleNameCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.